# ParticleScattering.jl

A Julia package for solving large-scale electromagnetic
scattering problems in two dimensions; specifically,
those containing a large number of penetrable smooth
particles. Provides the ability to optimize over particle parameters for various design problems.

## Installation

ParticleScattering for julia 0.7 can be installed using `Pkg.add`:

```julia
Pkg.add("ParticleScattering")
using ParticleScattering
```

For julia 0.6, an older version of ParticleScattering can be installed manually
by cloning [release v0.0.4 from GitHub](https://github.com/bblankrot/ParticleScattering.jl/releases/tag/v0.0.4).

## Getting Started

Users are encouraged to follow the tutorials, as they provide a gradual
introduction to this package yet cover most of its functionality.
Complex and complete examples involving optimization are available in the
 [examples](https://github.com/bblankrot/ParticleScattering.jl/tree/master/examples)
folder.
